import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { Park } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-03-08 15:49
 */
interface ParkCU extends ConditionUtil<ParkCU> {
    LOTCODE: FieldUtil<ParkCU>;
    LOTNAME: FieldUtil<ParkCU>;
    DATABASEID: FieldUtil<ParkCU>;
    UPDATETIME: FieldUtil<ParkCU>;
    TOTALLOTS: FieldUtil<ParkCU>;
    USEDLOTS: FieldUtil<ParkCU>;
    PROVINCE: FieldUtil<ParkCU>;
    CITY: FieldUtil<ParkCU>;
    REGION: FieldUtil<ParkCU>;
    ADDRESS: FieldUtil<ParkCU>;
    LOTTYPE: FieldUtil<ParkCU>;
    LONGITUDE: FieldUtil<ParkCU>;
    LATITUDE: FieldUtil<ParkCU>;
    CONTRACTNO: FieldUtil<ParkCU>;
    ISDELETE: FieldUtil<ParkCU>;
    ISSUPERPARK: FieldUtil<ParkCU>;
    CREATETIME: FieldUtil<ParkCU>;
    DEVICEID: FieldUtil<ParkCU>;
    BINDTIME: FieldUtil<ParkCU>;
    BINDOPNAME: FieldUtil<ParkCU>;
    REMARK: FieldUtil<ParkCU>;
    HASSYNCSUCCESS: FieldUtil<ParkCU>;
    SYNCTIME: FieldUtil<ParkCU>;
    DBVERSION: FieldUtil<ParkCU>;
    SERVICEDATE: FieldUtil<ParkCU>;
    ISUNATTEND: FieldUtil<ParkCU>;
    STATUS: FieldUtil<ParkCU>;
    UNATTENDSYNCTIME: FieldUtil<ParkCU>;
    OPSSYNCTIME: FieldUtil<ParkCU>;
    MIGRATETIME: FieldUtil<ParkCU>;
    DISTNUMBER: FieldUtil<ParkCU>;
}
declare class ParkMU extends TableUtilImpl<ParkCU, Park> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): ParkCU;
    static get LOTCODE(): FieldUtil<ParkCU>;
    static get LOTNAME(): FieldUtil<ParkCU>;
    static get DATABASEID(): FieldUtil<ParkCU>;
    static get UPDATETIME(): FieldUtil<ParkCU>;
    static get TOTALLOTS(): FieldUtil<ParkCU>;
    static get USEDLOTS(): FieldUtil<ParkCU>;
    static get PROVINCE(): FieldUtil<ParkCU>;
    static get CITY(): FieldUtil<ParkCU>;
    static get REGION(): FieldUtil<ParkCU>;
    static get ADDRESS(): FieldUtil<ParkCU>;
    static get LOTTYPE(): FieldUtil<ParkCU>;
    static get LONGITUDE(): FieldUtil<ParkCU>;
    static get LATITUDE(): FieldUtil<ParkCU>;
    static get CONTRACTNO(): FieldUtil<ParkCU>;
    static get ISDELETE(): FieldUtil<ParkCU>;
    static get ISSUPERPARK(): FieldUtil<ParkCU>;
    static get CREATETIME(): FieldUtil<ParkCU>;
    static get DEVICEID(): FieldUtil<ParkCU>;
    static get BINDTIME(): FieldUtil<ParkCU>;
    static get BINDOPNAME(): FieldUtil<ParkCU>;
    static get REMARK(): FieldUtil<ParkCU>;
    static get HASSYNCSUCCESS(): FieldUtil<ParkCU>;
    static get SYNCTIME(): FieldUtil<ParkCU>;
    static get DBVERSION(): FieldUtil<ParkCU>;
    static get SERVICEDATE(): FieldUtil<ParkCU>;
    static get ISUNATTEND(): FieldUtil<ParkCU>;
    static get STATUS(): FieldUtil<ParkCU>;
    static get UNATTENDSYNCTIME(): FieldUtil<ParkCU>;
    static get OPSSYNCTIME(): FieldUtil<ParkCU>;
    static get MIGRATETIME(): FieldUtil<ParkCU>;
    static get DISTNUMBER(): FieldUtil<ParkCU>;
    get LOTCODE(): FieldUtil<ParkCU>;
    get LOTNAME(): FieldUtil<ParkCU>;
    get DATABASEID(): FieldUtil<ParkCU>;
    get UPDATETIME(): FieldUtil<ParkCU>;
    get TOTALLOTS(): FieldUtil<ParkCU>;
    get USEDLOTS(): FieldUtil<ParkCU>;
    get PROVINCE(): FieldUtil<ParkCU>;
    get CITY(): FieldUtil<ParkCU>;
    get REGION(): FieldUtil<ParkCU>;
    get ADDRESS(): FieldUtil<ParkCU>;
    get LOTTYPE(): FieldUtil<ParkCU>;
    get LONGITUDE(): FieldUtil<ParkCU>;
    get LATITUDE(): FieldUtil<ParkCU>;
    get CONTRACTNO(): FieldUtil<ParkCU>;
    get ISDELETE(): FieldUtil<ParkCU>;
    get ISSUPERPARK(): FieldUtil<ParkCU>;
    get CREATETIME(): FieldUtil<ParkCU>;
    get DEVICEID(): FieldUtil<ParkCU>;
    get BINDTIME(): FieldUtil<ParkCU>;
    get BINDOPNAME(): FieldUtil<ParkCU>;
    get REMARK(): FieldUtil<ParkCU>;
    get HASSYNCSUCCESS(): FieldUtil<ParkCU>;
    get SYNCTIME(): FieldUtil<ParkCU>;
    get DBVERSION(): FieldUtil<ParkCU>;
    get SERVICEDATE(): FieldUtil<ParkCU>;
    get ISUNATTEND(): FieldUtil<ParkCU>;
    get STATUS(): FieldUtil<ParkCU>;
    get UNATTENDSYNCTIME(): FieldUtil<ParkCU>;
    get OPSSYNCTIME(): FieldUtil<ParkCU>;
    get MIGRATETIME(): FieldUtil<ParkCU>;
    get DISTNUMBER(): FieldUtil<ParkCU>;
}
export { ParkMU, ParkCU };
